## mycompiler.mybytecode
Class CONSTANT_Long_info

    java.lang.Object
      mycompiler.mybytecode.CPInfo
          mycompiler.mybytecode.CONSTANT_Long_info

    public class CONSTANT_Long_info

extends CPInfo

Constructor Summary
`CONSTANT_Long_info()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`int` `get_high_bytes()`
`int` `get_low_bytes()`
`void` `set_high_bytes(int t)`
`void` `set_low_bytes(int t)`

Methods inherited from class mycompiler.mybytecode.CPInfo
`get_tag, set_tag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CONSTANT_Long_info

    public CONSTANT_Long_info()

Method Detail

### get_high_bytes

    public int get_high_bytes()

### get_low_bytes

    public int get_low_bytes()

### set_high_bytes

    public void set_high_bytes(int t)

### set_low_bytes

    public void set_low_bytes(int t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)

  Specified by:
    `codegen` in class `CPInfo`